Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface AdhocQueryRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryRequestType

All Known Implementing Classes:
  AdhocQueryRequestTypeImpl

    public interface AdhocQueryRequestType

extends RegistryRequestType

A representation of the model object 'Adhoc Query Request Type'.

The following features are supported:

- `Response Option`
- `Adhoc Query`
- `Federated`
- `Federation`
- `Max Results`
- `Start Index`

See Also:
  `QueryPackage.getAdhocQueryRequestType()`

Method Summary
`AdhocQueryType` | `getAdhocQuery()` Returns the value of the 'Adhoc Query' containment reference.
`java.lang.String` | `getFederation()` Returns the value of the 'Federation' attribute.
`java.math.BigInteger` | `getMaxResults()` Returns the value of the 'Max Results' attribute.
`ResponseOptionType` | `getResponseOption()` Returns the value of the 'Response Option' containment reference.
`java.math.BigInteger` | `getStartIndex()` Returns the value of the 'Start Index' attribute.
`boolean` | `isFederated()` Returns the value of the 'Federated' attribute.
`boolean` | `isSetFederated()` Returns whether the value of the '`Federated`' attribute is set.
`boolean` | `isSetMaxResults()` Returns whether the value of the '`Max Results`' attribute is set.
`boolean` | `isSetStartIndex()` Returns whether the value of the '`Start Index`' attribute is set.
`void` | `setAdhocQuery(AdhocQueryType value)` Sets the value of the '`Adhoc Query`' containment reference.
`void` | `setFederated(boolean value)` Sets the value of the '`Federated`' attribute.
`void` | `setFederation(java.lang.String value)` Sets the value of the '`Federation`' attribute.
`void` | `setMaxResults(java.math.BigInteger value)` Sets the value of the '`Max Results`' attribute.
`void` | `setResponseOption(ResponseOptionType value)` Sets the value of the '`Response Option`' containment reference.
`void` | `setStartIndex(java.math.BigInteger value)` Sets the value of the '`Start Index`' attribute.
`void` | `unsetFederated()` Unsets the value of the '`Federated`' attribute.
`void` | `unsetMaxResults()` Unsets the value of the '`Max Results`' attribute.
`void` | `unsetStartIndex()` Unsets the value of the '`Start Index`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryRequestType
`getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResponseOption

    ResponseOptionType getResponseOption()

  Returns the value of the 'Response Option' containment reference.

  If the meaning of the 'Response Option' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `setResponseOption(ResponseOptionType)`, `QueryPackage.getAdhocQueryRequestType_ResponseOption()`

### setResponseOption

    void setResponseOption(ResponseOptionType value)

  Sets the value of the '`Response Option`' containment reference.

  Parameters:
    `value` - the new value of the 'Response Option' containment reference.
  See Also:
    `getResponseOption()`

### getAdhocQuery

    AdhocQueryType getAdhocQuery()

  Returns the value of the 'Adhoc Query' containment reference.

  If the meaning of the 'Adhoc Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Adhoc Query' containment reference.
  See Also:
    `setAdhocQuery(AdhocQueryType)`, `QueryPackage.getAdhocQueryRequestType_AdhocQuery()`

### setAdhocQuery

    void setAdhocQuery(AdhocQueryType value)

  Sets the value of the '`Adhoc Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query' containment reference.
  See Also:
    `getAdhocQuery()`

### isFederated

    boolean isFederated()

  Returns the value of the 'Federated' attribute. The default value is `"false"`.

  If the meaning of the 'Federated' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Federated' attribute.
  See Also:
    `isSetFederated()`, `unsetFederated()`, `setFederated(boolean)`, `QueryPackage.getAdhocQueryRequestType_Federated()`

### setFederated

    void setFederated(boolean value)

  Sets the value of the '`Federated`' attribute.

  Parameters:
    `value` - the new value of the 'Federated' attribute.
  See Also:
    `isSetFederated()`, `unsetFederated()`, `isFederated()`

### unsetFederated

    void unsetFederated()

  Unsets the value of the '`Federated`' attribute.

  See Also:
    `isSetFederated()`, `isFederated()`, `setFederated(boolean)`

### isSetFederated

    boolean isSetFederated()

  Returns whether the value of the '`Federated`' attribute is set.

  Returns:
    whether the value of the 'Federated' attribute is set.
  See Also:
    `unsetFederated()`, `isFederated()`, `setFederated(boolean)`

### getFederation

    java.lang.String getFederation()

  Returns the value of the 'Federation' attribute.

  If the meaning of the 'Federation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Federation' attribute.
  See Also:
    `setFederation(String)`, `QueryPackage.getAdhocQueryRequestType_Federation()`

### setFederation

    void setFederation(java.lang.String value)

  Sets the value of the '`Federation`' attribute.

  Parameters:
    `value` - the new value of the 'Federation' attribute.
  See Also:
    `getFederation()`

### getMaxResults

    java.math.BigInteger getMaxResults()

  Returns the value of the 'Max Results' attribute. The default value is `"-1"`.

  If the meaning of the 'Max Results' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Results' attribute.
  See Also:
    `isSetMaxResults()`, `unsetMaxResults()`, `setMaxResults(BigInteger)`, `QueryPackage.getAdhocQueryRequestType_MaxResults()`

### setMaxResults

    void setMaxResults(java.math.BigInteger value)

  Sets the value of the '`Max Results`' attribute.

  Parameters:
    `value` - the new value of the 'Max Results' attribute.
  See Also:
    `isSetMaxResults()`, `unsetMaxResults()`, `getMaxResults()`

### unsetMaxResults

    void unsetMaxResults()

  Unsets the value of the '`Max Results`' attribute.

  See Also:
    `isSetMaxResults()`, `getMaxResults()`, `setMaxResults(BigInteger)`

### isSetMaxResults

    boolean isSetMaxResults()

  Returns whether the value of the '`Max Results`' attribute is set.

  Returns:
    whether the value of the 'Max Results' attribute is set.
  See Also:
    `unsetMaxResults()`, `getMaxResults()`, `setMaxResults(BigInteger)`

### getStartIndex

    java.math.BigInteger getStartIndex()

  Returns the value of the 'Start Index' attribute. The default value is `"0"`.

  If the meaning of the 'Start Index' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Index' attribute.
  See Also:
    `isSetStartIndex()`, `unsetStartIndex()`, `setStartIndex(BigInteger)`, `QueryPackage.getAdhocQueryRequestType_StartIndex()`

### setStartIndex

    void setStartIndex(java.math.BigInteger value)

  Sets the value of the '`Start Index`' attribute.

  Parameters:
    `value` - the new value of the 'Start Index' attribute.
  See Also:
    `isSetStartIndex()`, `unsetStartIndex()`, `getStartIndex()`

### unsetStartIndex

    void unsetStartIndex()

  Unsets the value of the '`Start Index`' attribute.

  See Also:
    `isSetStartIndex()`, `getStartIndex()`, `setStartIndex(BigInteger)`

### isSetStartIndex

    boolean isSetStartIndex()

  Returns whether the value of the '`Start Index`' attribute is set.

  Returns:
    whether the value of the 'Start Index' attribute is set.
  See Also:
    `unsetStartIndex()`, `getStartIndex()`, `setStartIndex(BigInteger)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD